<template>
    <button @click="click()">
        <img class="icon" src="~@/assets/icons/icon-whatsapp.svg" />
    </button> 
</template>

<script lang="ts">
import { Phones } from '@/models/DeliveryMenu';
import { Component, Prop, Vue } from "vue-property-decorator";
@Component
export default class Backbutton extends Vue {
    @Prop({ default: false }) readonly contactUs!: boolean;
    @Prop({ default: "" }) readonly issue!: string;
    @Prop({ default: "" }) readonly moreDetails!: string;

    phones = this.$store.state.deliveryMenu.phones as Phones

    getUrl() {
        if(this.contactUs){
            const url = `https://wa.me/529981868389/`
            return url + "?text=Asunto: " + this.issue + " Mas Detalles: " + this.moreDetails
        }else{
            const url = `https://wa.me/52${this.phones.whatsapp.phone}/`
            if(this.phones.whatsapp.message != "") {
                return url + "?text=" +  encodeURI (this.phones.whatsapp.message)
            }
        }
    }

    click() {
        this.$emit('click')
        if(/^[0-9]*$/.test(this.phones.whatsapp.phone)){
            window.open(this.getUrl(), '_blank');
        }
    }
}
</script>

<style scoped>
button {
    position: fixed;
    color: #25D366;
    height: 60px;
    width: 60px;
    border: 1px solid #25D366;  
    background: #25d366;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}

.icon {
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    margin: auto;
} 

</style>